ClarisWksStruct.hxx File Reference
`#include <iostream>`
`#include <set>`
`#include <vector>`
`#include "libmwaw_internal.hxx"`

Go to the source code of this file.

## Classes

struct | ClarisWksStruct::Struct
| a basic structure More...
struct | ClarisWksStruct::DSET
| main structure which correspond to a document part More...
struct | ClarisWksStruct::DSET::Child
| structure used to define the child of a DSET structure More...

## Namespaces

namespace | ClarisWksStruct
| namespace to store the main structure which appears in a ClarisDraw/ClarisWorks file

## Functions

bool | ClarisWksStruct::readIntZone (MWAWParserState &parserState, char const *zoneName, bool hasEntete, int fSz, std::vector< int > &res)
| try to read a int structured zone where fSz to the int size: 1(int8), 2(int16), 4(int32)
bool | ClarisWksStruct::readStructZone (MWAWParserState &parserState, char const *zoneName, bool hasEntete)
| try to read a structured zone with unknown content